"use strict";
exports.__esModule = true;
exports.write = void 0;
var isBrowser = (typeof window !== 'undefined');
var clipboardText;
if (isBrowser) {
    document.addEventListener('copy', function (ev) {
        if (clipboardText == null || ev.clipboardData == null) {
            clipboardText = undefined;
            return;
        }
        ev.preventDefault();
        ev.clipboardData.setData('text/plain', clipboardText);
        clipboardText = undefined;
    });
}
function write(text) {
    if (!isBrowser) {
        console.warn('[clipboard-tool] Could not copy because this is running on the server.');
    }
    clipboardText = text;
    var success = document.execCommand('copy');
    if (!success) {
        console.warn('[clipboard-tool] Could not copy because the browser does not allow it.');
    }
}
exports.write = write;
